########################
#  ONI TEAM ARENA 1.2  #
# TCTF #
########################
var int arena_air_quality= 0;
var int arena_air_quality_custom= 0;
func ArenaSetupLevel {
	arena_air_quality_custom= 0; arena_air_quality= 0;
		gl_fog_red= 0; gl_fog_green= 0; gl_fog_blue= 0;
	gl_fog_start= .995; gs_farclipplane_set(4000);
	arena_area= 0; 
	
	door_unlock 48
	particle shin_lock_locklight01 do start
	ArenaResetLevel
}
func ArenaResetLevel {
	if(!arena_air_quality_custom) {
		arena_air_quality= 0;
		if(arena_area eq 1) arena_air_quality= 1;
		if(arena_area eq 3) arena_air_quality= 2;
		if(arena_area eq 1) gs_show_environment= 0
		else gs_show_environment= 1
	}
	if(arena_air_quality eq 0) {
		gl_fog_red= 0; gl_fog_green= 0; gl_fog_blue= 0;
		gl_fog_start= .995;
	}
	if(arena_air_quality eq 1) {
		gl_fog_red= .2; gl_fog_green= 0; gl_fog_blue= .2;
		gl_fog_start= .95;
	}
	if(arena_air_quality eq 2) {
		gl_fog_red= 0; gl_fog_green= .3; gl_fog_blue= 0;
		gl_fog_start= .8;
	}
	if(arena_air_quality eq 3) {
		gl_fog_red= .3; gl_fog_green= .1; gl_fog_blue= 0;
		gl_fog_start= .7;
	}
}
func void fire_damage(string ai_name) {	
	chr_poison(ai_name, 5, 3, 30);
}
func ArenaAirQualityNext {
	arena_air_quality_custom= 1;
	arena_air_quality= arena_air_quality + 1;
	if(arena_air_quality > 3) arena_air_quality= 0;
	ArenaResetLevel();
}
func ArenaAirQualityInfo {
	if(arena_air_quality eq 0) dmsg "CLEAN AIR HAPPY"
	if(arena_air_quality eq 1) dmsg "PURPLE HAZE"
	if(arena_air_quality eq 2) dmsg "HEAVY SMOG"
	if(arena_air_quality eq 3) dmsg "CATACLYSM"
}
